Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.util
Class AbstractErrorContainer

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Error
                  |
                  +--com.bea.util.AbstractErrorContainer

Direct Known Subclasses:
  ErrorStandin

public abstract class AbstractErrorContainer
extends java.lang.Error

An Abstract Error Container class.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`protected ThrowableContainer` | `m_container`

Constructor Summary
`AbstractErrorContainer(java.lang.String msg)` Construct AbstractErrorContainer of the specified type

Method Summary
`void` | `addError(java.lang.Error e)` Add an Error to the container.
`boolean` | `containsError(java.lang.Error e)` Determine if an Error is in the container.
`java.util.Iterator` | `getErrors()` Get Error iterator.
`java.lang.Error` | `getLinkedError()` Get linkedError.
`void` | `printStackTrace()` Print Stack trace to System.err.
`void` | `printStackTrace(java.io.PrintStream ps)` Print Stack trace to PrintStream.
`void` | `printStackTrace(java.io.PrintWriter pw)`
`protected void` | `printStackTrace(java.io.PrintWriter pw, int nest)`
`boolean` | `removeError(java.lang.Error e)` Removes an Error from the container.
`java.lang.String` | `toString()` Get Errors as string.
`java.lang.String` | `toString(int nest)` Get Errors as string.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_container

    protected ThrowableContainer m_container

Constructor Detail

### AbstractErrorContainer

    public AbstractErrorContainer(java.lang.String msg)

  Construct AbstractErrorContainer of the specified type

  Parameters:
    `msg` - - User defined error message

Method Detail

### addError

    public void addError(java.lang.Error e)

  Add an Error to the container.

  Parameters:
    `e` - - the Error.

### removeError

    public boolean removeError(java.lang.Error e)

  Removes an Error from the container.

  Parameters:
    `e` - - the Error.

### containsError

    public boolean containsError(java.lang.Error e)

  Determine if an Error is in the container.

  Parameters:
    `e` - - the Error.

### getErrors

    public java.util.Iterator getErrors()

  Get Error iterator.

### getLinkedError

    public java.lang.Error getLinkedError()

  Get linkedError.

### toString

    public java.lang.String toString()

  Get Errors as string.

  Overrides:
    toString in class java.lang.Throwable

### toString

    public java.lang.String toString(int nest)

  Get Errors as string.

  Parameters:
    `nest` - - indent level.

### printStackTrace

    public void printStackTrace()

  Print Stack trace to System.err.

  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintStream ps)

  Print Stack trace to PrintStream.

  Parameters:
    `ps` - - the PrintStream.
  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pw)

  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    protected void printStackTrace(java.io.PrintWriter pw,
                                   int nest)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)